  // spherel.frag Source code of fragment shader

   varying vec3 N;

   uniform vec4 skyColor;
   uniform vec4 groundColor;
   uniform vec3 skyDirection;

   void main()
   {
     vec3 norm = normalize(N);
     float cosbeta = dot ( norm, skyDirection );
     float f = 0.5 + 0.5 * cosbeta;
     vec4 color = mix (groundColor, skyColor, f);
     gl_FragColor = color;    
  }

