   // sphereibl.frag: Source code of fragment shader

   uniform samplerCube cubeEnvMap;
   varying vec4 lightReflection;
   varying vec3 envReflectDir;   //environment reflection direction

   void main()
   {
     vec4 envColor = vec4(  vec3( textureCube(cubeEnvMap, envReflectDir) ), 1 );
    
     float envPercent = 0.8; 

     vec4 color = mix ( lightReflection, envColor, envPercent );
     gl_FragColor = color;
   }

